
Foreman - Bug #37012

Adding a new boolean-type parameter to a host causes an error

12/21/2023 04:37 PM - Nofar Alfassi

Status: Closed   

Priority: Normal   

Assignee: Girija Soni   

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link: 2256452 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9985

  

Description

Steps to reproduce:

1. On the Host details page, navigate to the Parameters tab and click on 'Add Parameter.'

2. Enter the parameter name and set the type as boolean.

3. Retain the default value and click on 'Save.'

This results in the following error

"TypeError: Cannot read properties of null (reading 'toString')"

Associated revisions

Revision f0003582 - 01/11/2024 09:18 AM - Girija Soni

Fixes #37012 - Add a placeholder when selecting booltype params

History

#1 - 12/28/2023 11:36 AM - jgkootstra please_edit_me

This type of crash dump occurs and the parameter tab of a host becomes unavailable (happens in Red Hat Satellite 6.14.1):

TypeError: e.value is null
#2 - 01/02/2024 11:50 AM - Girija Soni

- Assignee set to Girija Soni

#3 - 01/02/2024 12:21 PM - Girija Soni

- Category set to Parameters

#4 - 01/02/2024 12:21 PM - Girija Soni

- Bugzilla link set to 2256452

#5 - 01/10/2024 07:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9985 added

#6 - 01/11/2024 09:18 AM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#7 - 01/11/2024 10:00 AM - Girija Soni

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f0003582d048eabf005d915c7d30088865b80e66.
